from django_filters.rest_framework import DjangoFilterBackend
from drf_yasg.inspectors import FilterInspector


class NoDjangoFilerBackendFilterInspector(FilterInspector):
    def get_filter_parameters(self, filter_backend):
        if isinstance(filter_backend, DjangoFilterBackend):
            return []
        return super().get_filter_parameters(filter_backend)
